#include<stdio.h>
long long int nadovezivanje(long long int x,long long int y,long long int z)
{
	long long int pow=10;
	while(z>=pow)
	{
		pow*=10;
	}
	long long int pow1=10;
	while(y>=pow1)
	{
		pow1*=10;
	}
	return x*pow*pow1+y*pow+z;
}
long long int maksimalni(long long int a,long long int b,long long int c,long long int d,long long int e,long long int f)
{
	long long int max=a;
	if(b>max) max=b;
	if(c>max) max=c;
	if(d>max) max=d;
	if(e>max) max=e;
	if(f>max) max=f;
	return max;
}
main()
{
	long long int a,b,c;
	scanf("%lli%lli%lli",&a,&b,&c);
	long long int t,y,u,i,o,p;
	t=nadovezivanje(a,b,c);
	y=nadovezivanje(a,c,b);
	u=nadovezivanje(b,a,c);
	i=nadovezivanje(b,c,a);
	o=nadovezivanje(c,a,b);
	p=nadovezivanje(c,b,a);
	printf("%lli",maksimalni(t,y,u,i,o,p));
}